/**	CODE CREATED AND OWNED BY SIDDHARTH M. BHATIA
* DON'T USE WITHOUT PERMISSION 
*/

/* Green color: #3cb169 */


/* The Palette:
https://coolors.co/df5f5d-ffd65d-3dc77d-42b4ff-d2a6e8*/

* {
    /*font-family: PT Sans;*/
    font-family: -apple-system, system-ui, BlinkMacSystemFont, "Segoe UI", "Open Sans", "Helvetica Neue", Helvetica, Arial, sans-serif;
    /*font-family: sans-serif;*/
    /*padding-left: 3px;*/
    --green-color: #3cb169;
}

body {
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
}



/* Style the top navigation bar */
#topbar {
    display: flex;
    justify-content: flex-start;

    overflow: auto;
    width: 100%;
    /*position: absolute;
	top: 591px;*/
    grid-gap: 0;
    border-spacing: 0;
    padding: 0;
    margin: 0;
    border-bottom: 1px solid rgba(173, 173, 173, 0.72);
    -webkit-backdrop-filter: saturate(200%) blur(5px);
    backdrop-filter: saturate(180%) blur(5px);
    background-color: rgba(255, 214, 93, 0.04);
    transition-duration: 0.5s;
    z-index: 10;

    filter: saturate(200%);

    mix-blend-mode: luminosity;

    /* The Magic! This is what makes it stay at the top */
    position: sticky;
    top: 0;
}


/* Style the topnav links */
#topbar a {

    display: block;
    color: black;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
    transition-duration: 0.2s;
}


/* Change color on hover */
#topbar a:hover {
    background-color: #3dc77dcb;
    border-bottom: 3px solid #42b4ff;
    box-shadow: 0 0 10px #3dc77d, 0 0 40px #3dc77d, 0 0 80px #3dc77d;
}




h1 {
    text-decoration-line: underline;
    text-decoration-color: #3cb169;
    /*font-size: 200px;*/
    font-size: 20vw;
    /*vw is the viewport width*/
    text-align: center;
}

h2 {
    font-size: 40px;
    background-repeat: no-repeat;
    background-image: url("/content/gradient-background.jpg");
    background-size: cover;
    background-clip: text;
    background-position: right;
    -webkit-background-clip: text;
    -moz-background-clip: text;
    color: transparent;
}

*.large-button {
    position: relative;
    display: inline-block;
    padding: 15px;
    margin: 10px;
    color: #3dc77d;
    text-transform: uppercase;
    letter-spacing: 4px;
    text-decoration: none;
    text-align: center;
    font-size: 24px;
    overflow: hidden;
    transition: 0.5s;
}

*:hover.large-button {
    background-color: #3dc77d;
    color: white;
}

note, .note {
    font-size: 80%;
    font-style: italic;
    font-family: serif;
}

.code, code {
    font-family: Menlo, monospace;
}

.bold {
    font-weight: bold;
}

.flexBox {
    display: flex;
}

.inline-box {
    padding: 15px;
    background-color: rgb(231, 231, 231);
    background-clip: border-box;
    border-radius: 5px;
    line-height: 135%;
}

.grid {
    display: inline-grid;
    grid-gap: 0;
    border-spacing: 0;
    padding: 0;
    margin: 0;
}


/* Link formatting */

a {
    --unvisited-color: #3ba464;
    text-decoration: none;
    transition: 0.45s;
}

a:link {
    /* Unvisited link */
    color: var(--unvisited-color);
    font-weight: bold;
}

a.no-visit-difference:visited {
    /* Visited link with no-visit-difference class*/
    color: var(--unvisited-color);
}

li a:visited {
    color: var(--unvisited-color);
    background-color: black;
}

.unselectable {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.spacer-line {
    border-image: url("/content/gradient-background.jpg") 30;
    border-style: solid;
    border-image-slice: 00% 0% 10% 0%
/*
   height: 3%;
    border-bottom: 3px solid transparent;
 background-repeat: no-repeat;
    background-image: url("/content/gradient-background.jpg");
    background-size: cover;
    background-clip:border-box;*/
}

.showborder {
    border: solid 2px black;
}

/* Create three  columns that floats next to each other */

.flexBox {
    display: flex;
}

.flexBox .content {
    margin: auto;
    width: 75%;
}

.content p {
    font-size: 20px;
}

/* Responsive for smaller screens */
@media screen and (max-width:1000px) {
    
    .flexBox .content {
        width: 95%;
    }
    
    .content > * {
        font-size: 300%;
    }
}


/* Clear floats after the columns */

.row:after {
    content: "";
    display: table;
    clear: both;
}

.blanket {
    width: 100%;
    height: 100%;
    position: fixed; 

    top: 0; 
    
    z-index: 10;
	
    -webkit-backdrop-filter: saturate(300%) blur(5px);
    backdrop-filter: saturate(180%) blur(10px);
    /*filter: blur(10px);*/
	
	transition-duration: 2.3s;
	/* Blankey JS sample
	function blanket() {
        var elem = document.getElementById('blanket');
        if (blanketShown) {
            elem.style.opacity = "0";
            
            elem.style.visibility = "hidden";
            console.log("BLANKET HIDDEN");
        } else {
            elem.style.opacity = "0";
            elem.style.visibility = "";
            window.setTimeout(function () {
                elem.style.opacity = "1";
            }, 1000);
            console.log("BLANKET SHOWN");
        }
        blanketShown = !blanketShown;
    }*/
}


/*Notification*/

.notification {
    position: fixed;
    top: 20px;
    right: 0px;
    height: 100%;
}

.notification a {
    position: absolute;
    right: -10%;
    transition: 0.3s;
    padding: 8px;
    width: 150px;
    height: 55px;
    font-size: 20px;
    color: black;
    text-decoration: none;
    background-color: rgb(219, 219, 219);
    -webkit-backdrop-filter: saturate(500%) blur(10px);
    backdrop-filter: saturate(180%) blur(10px);
    text-align: center;
    border-radius: 5px;
    top: 20px;
}

.notification a:hover {
    right: 6%/*!important*/;
}

[data-netlify-identity-button] a {
    display: block;
    position: relative;
    width: 100%;
    max-width: 80px;
    max-height: 30px;
    height: auto;
    outline: 0;
    cursor: pointer;
    border: 2.7px solid hsl(149, 100%, 91%);
    border-radius: 7px;
    background-color: hsl(148, 59%, 60%);
    color: white;
    transition: background-color 0.2s ease;
    font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Helvetica, Arial, sans-serif, 'Apple Color Emoji', 'Segoe UI Emoji', 'Segoe UI Symbol';
    font-size: 16px;
    font-weight: 500;
    line-height: 20px;
    text-align: center;
    text-decoration: none;
    white-space: nowrap;
}

[data-netlify-identity-button] a:hover {
    background-color: hsl(148, 42%, 48%);
    text-decoration: none;
}